Search Results for

Show / Hide Table of Contents

# Class DynamicMenuBar.DynamicMenuItem

##### Inheritance

System.Object
DynamicMenuBar.DynamicMenuItem

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuItem : Object

### Constructors

#### DynamicMenuItem()

##### Declaration

    public DynamicMenuItem()

#### DynamicMenuItem(ustring, ustring, ustring, Boolean, Boolean, MenuItemCheckStyle, ustring)

##### Declaration

    public DynamicMenuItem(ustring title, ustring help, ustring action, bool isTopLevel, bool hasSubMenu, MenuItemCheckStyle checkStyle, ustring shortcut = null)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |
NStack.ustring | help |
NStack.ustring | action |
System.Boolean | isTopLevel |
System.Boolean | hasSubMenu |
MenuItemCheckStyle | checkStyle |
NStack.ustring | shortcut |

#### DynamicMenuItem(ustring, Boolean)

##### Declaration

    public DynamicMenuItem(ustring title, bool hasSubMenu = false)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |
System.Boolean | hasSubMenu |

### Fields

#### action

##### Declaration

    public ustring action

##### Field Value

Type | Description
--- | ---
NStack.ustring |

#### checkStyle

##### Declaration

    public MenuItemCheckStyle checkStyle

##### Field Value

Type | Description
--- | ---
MenuItemCheckStyle |

#### hasSubMenu

##### Declaration

    public bool hasSubMenu

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### help

##### Declaration

    public ustring help

##### Field Value

Type | Description
--- | ---
NStack.ustring |

#### isTopLevel

##### Declaration

    public bool isTopLevel

##### Field Value

Type | Description
--- | ---
System.Boolean |

#### shortcut

##### Declaration

    public ustring shortcut

##### Field Value

Type | Description
--- | ---
NStack.ustring |

#### title

##### Declaration

    public ustring title

##### Field Value

Type | Description
--- | ---
NStack.ustring |